{% extends "siswa/userbase.html.twig" %}

{% block body %}
    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Informasi Tagihan
        {% endblock %}
    {% endembed %}
    {% embed 'siswa/bottomNavBar.html.twig' %}
        {% set state = 6 %}
    {% endembed %}
    <div class="tab-content" id="pills-tabContent">
        {#        <div class="tab-pane fade show active" id="pesanan" role="tabpanel" aria-labelledby="pills-home-tab">#}
        {#            <section class="mt-3" id="pesanan-panel">#}
        {#                <div class="scrolling-wrapper ">#}
        {#                    <div style="border: none !important;" class="items pl-3">#}
        {#                        <input class="checkbox-jam check-status" type="radio" name="type" id="belum" value="0"#}
        {#                               checked>#}
        {#                        <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"#}
        {#                               for="belum">#}
        {#                            <p class="mb-0 f08">Belum Lunas</p>#}
        {#                        </label>#}
        {#                    </div>#}
        {#                    <div style="border: none !important;" class="items">#}
        {#                        <input class="checkbox-jam check-status" type="radio" name="type" id="bayar" value="1">#}
        {#                        <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"#}
        {#                               for="bayar">#}
        {#                            <p class="mb-0 f08">Lunas</p>#}
        {#                        </label>#}
        {#                    </div>#}
        {#                    #}{#                    <div style="border: none !important;" class="items">#}
        {#                    #}{#                        <input class="checkbox-jam check-status" type="radio" name="type" id="all"#}
        {#                    #}{#                               value="all">#}
        {#                    #}{#                        <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"#}
        {#                    #}{#                               for="all">#}
        {#                    #}{#                            <p class="mb-0 f08">Semua</p>#}
        {#                    #}{#                        </label>#}
        {#                    #}{#                    </div>#}
        {#                </div>#}
        {#            </section>#}
        <section class="container-fluid mt-3" id="panel-transaction">
        </section>
        {#        </div>#}
        {#        <div class="tab-pane fade" id="pembayaran" role="tabpanel" aria-labelledby="pills-profile-tab">#}
        {#            <div class="container-fluid mt-2 mb-2">#}
        {#                <div class="b-primaryLight p-2" style="border-left: 4px solid var(--primaryColor); height: 50px;">#}
        {#                    <p class="text-black-50 font-weight-bold f08 mb-1">Menampilkan Semua Data Yang Berhasil Di#}
        {#                        Bayarkan</p>#}
        {#                </div>#}
        {#            </div>#}
        {#            <section></section>#}
        {#            <section id="panel-payment" class="container-fluid">#}

        {#            </section>#}
        {#        </div>#}
    </div>
    <div id="content">

    </div>

    <div class="space-25h"></div>

{% endblock %}

{% block JSMore %}

    <script type="text/javascript" src="{{ asset('vendor/slick/slick.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>

        function cartLes(v) {
            if (v['cart'].length > 0) {
                let more = '';
                if (v['cart'].length > 1) {
                    let rest = v['cart'].length - 1;
                    more = '<a class="text-right" href="/member/invoice/detail/' + v['id'] + '">+' + rest + ' Lainnya</a>';
                }
                let avatar = v['cart'][0]['subscription']['skill']['user']['profile']['generatedAvatar'] || location.origin + '/images/no-image.png';
                let name = v['cart'][0]['subscription']['skill']['user']['profile']['name'];
                let category = v['cart'][0]['subscription']['skill']['category']['name'];
                let level = v['cart'][0]['subscription']['skill']['level']['name'];


                return '<div class="mb-0"><div class="header-profile mb-1">\n' +
                    '                            <div class="gambar-div-sm">\n' +
                    '                                <img src="' + avatar + '">\n' +
                    '                            </div>\n' +
                    '                            <div class="content">\n' +
                    '                                <p class="title">' + name + '</p>\n' +
                    '                                <p class="subtitle mb-2">' + category + ' - ' + level + '</p>\n' +
                    '<div>' + more + '</div>' +

                    '                            </div>\n' +
                    '                        </div>' +

                    '</div>';

            }
        }

        function tryoutReg(v) {

            let title = v['tryOutRegistrant'][0]['tryOut']['title'];
            let start = v['tryOutRegistrant'][0]['tryOut']['startDay'] || "-";
            let final = v['tryOutRegistrant'][0]['tryOut']['finalDay'] || "-";


            return '<div class="mb-0">' +
                '<p class="mb-1 font-weight-bold ">' + title + '</p>' +
                '<div class="d-flex">' +
                '<p style="width: 5em" class="f08 mb-1">Mulai </p>' +
                '<p class="mb-1 f08 ">: ' + start + '</p>' +
                '</div>' +

                '<div class="d-flex">' +
                '<p style="width: 5em" class="f08 mb-1">Berakhir </p>' +
                '<p class="mb-1 f08 ">: ' + final + '</p>' +
                '</div>' +


                '</div>';

        }

        function invoiceContent(v) {
            let tempExpired = new Date(v['paymentExpiration']);

            let strExpired = tempExpired.toLocaleDateString('id-ID', {
                year: 'numeric',
                month: 'long',
                day: 'numeric',
                hour: 'numeric',
                minute: 'numeric',
                second: 'numeric'
            });

            let {isPaid, confirmedAt, paymentExpiration, confirmationInfo, id, slug, amount, cart} = v;
            let cartEl = '';
            let detail = '';
            switch (slug) {
                case 'cart':
                    cartEl = cartLes(v);
                    detail = '<div class="text-right"><a href="/member/invoice/detail/' + v['id'] + '">Detail</a></div>';
                    break;
                case 'tryOutRegistrant':
                    cartEl = tryoutReg(v);
                    detail = '';
                default:
                    break;
            }
            return '<div class="card-invoice" data-id="' + id + '" style="border-radius: 10px; box-shadow: 0 2px 10px var(--shadowColor1); margin-bottom: 1em">\n' +

                '<div style="border-bottom: 1px solid #ddd; padding: 1em">\n' +
                '<div class="d-flex justify-content-between align-items-start">\n' +
                cartEl +

                // '                            <i class="mdi mdi-more-vert fa12"></i>\n' +
                detail +
                '                        </div>\n' +

                '<p class="div-color f08 mt-2 mb-0" style="border-color: var(--orange-temanbelajar); background-color: var(--orange-temanbelajar-light); border-radius: 50px">\n' +
                'Bayar Sebelum : ' + strExpired + ' WIB\n' +
                '</p>' +
                '                    </div>\n' +

                '                    <div style="padding: 1em">\n' +
                '                        <div class="d-flex justify-content-between">\n' +
                '                            <div>\n' +
                '                                <p class="text-black-50 f08 mb-0 font-weight-bold">Total Pembayaran</p>\n' +
                '                            </div>\n' +
                '                            <p class="t-accent font-weight-bold f10 mb-0">Rp. ' + formatUang(amount) + '</p>\n' +
                '                        </div>\n' +
                '                    </div>\n' +
                '                </div>';
        }

        function emptyContent(text = 'Tidak Ada Data Tagihan') {
            return '<div class="d-flex justify-content-center align-items-center" style="min-height: 300px">' + text +
                '</div>'
        }

        async function getInvoiceList() {
            let el = $('#panel-transaction');
            el.onDataLoading('Mohon Tunggu Sebentar. Sedang Mengunduh Data Tagihan...')
            let response = await $.get('/member/invoice/list');
            console.log(response)
            el.empty();
            if (response['code'] === 200) {
                let payload = response['payload']['data'];
                if (payload.length > 0) {
                    $.each(payload, function (k, v) {
                        el.append(invoiceContent(v));
                    });
                    $('.card-invoice').on('click', function () {
                        let id = this.dataset.id;
                        window.location.href = '/member/payment/detail/' + id;
                    })
                } else {
                    el.append(emptyContent());
                }
            }
        }

        $(document).ready(function () {
            getInvoiceList();
            $('.check-status').on('click', function () {
                getInvoiceList();
            });
        })
    </script>
{% endblock %}